.leaflet-control-zoom.leaflet-bar.leaflet-control {
	position: absolute;
	margin-top: -5rem;
}

.leaflet-control-container {
	margin-top: var(--padder);
}

.leaflet-top.leaflet-left {
	display: grid;
	grid-template-columns: 1fr 1fr;
	margin-top: 5rem;
	gap: 0;
	background-color: var(--clr-white);
	padding-top: 0;
}

.leaflet-bar.easy-button-container {
    background-color: #fff;
    border: 0;
    border-radius: 0;
    padding: 0px;
    max-width: 160px;
    border-bottom: 0px solid;
    padding-top: 1rem;
    padding-bottom: 1rem;
    padding-left: 1rem;
    max-height: 50vh;
    overflow-y: auto;
    border-bottom: 15px solid #fff;
	border-top: 15px solid #fff;
    scrollbar-width: thin;
}

.leaflet-bar.easy-button-container:has(.filter2) {
	margin-left: 0;
	padding-right: 1rem;
}

.leaflet-bar.easy-button-container:has(.bio) {
	margin-top: 0;
    border-bottom: 0;
}

.leaflet-bar.easy-button-container:has(.bio) .header {
	display: none;
}

.filter.bio {
	display: none;
}

.leaflet-bar.easy-button-container h3 {
	margin: 0;
	font-size: var(--font-h4);
	margin-bottom: .5em;
}

.easy-button-button {
	display: block !important;
	background: transparent;
	border: 0;
}

.leaflet-bar.easy-button-container .tag-filter-tags-container {
	display: block !important;
}

.tag-filter-tags-container .header {
	display: none !important;
}

.leaflet-bar.easy-button-container ul {
	padding: 0;
	list-style: none;
	display: grid;
	gap: .75rem;
	margin-left: 0;
}

.leaflet-bar.easy-button-container ul li {
	display: grid;
	grid-template-columns: 0 1.25rem 1fr;
	gap: .5rem;
}

.leaflet-bar.easy-button-container .header li:has(a) {
	display: grid;
	grid-template-columns: 1fr;
}

.leaflet-touch .leaflet-bar.easy-button-container a {
	width: 100%;
	height: auto;
	line-height: 1.5;
	/* display: block; */
	text-align: left;
	display: grid;
	align-content: center;
	background: transparent;
	cursor: pointer;
	font-size: var(--font-small);
}

.leaflet-bar.easy-button-container ul li .checkbox {
	border: 1px solid;
	display: grid;
	align-content: center;
	width: 20px;
	height: 20px;
	text-align: center;
    display: block!important;
    color: transparent;
    border-color:black !important;
    cursor: pointer;
    font-size: 12px;
}

.leaflet-bar.easy-button-container ul .ripple::before {
	content: '';
	margin-left: 0;
}

.leaflet-bar.easy-button-container ul .ripple[data-checked="checked"] .checkbox {
	color: black;
	font-size: 12px;
}

.leaflet-bar span.filter-info-box {
	display: none;
}

/* X- Button */

.leaflet-bar.my-control.leaflet-control {
	width: 30px;
	position: absolute;
	z-index: 801;
	height: 30px;
	border-radius: 0;
	border: 0px solid;
	background-color: #fff;
	place-content: center;
	text-align: center;
	margin-top: 0;
	cursor: pointer;
	right: 1rem;
	top: 1rem;
	font-size: 20px;
}

.leaflet-top.leaflet-left:has(.disabled) .leaflet-bar.my-control.leaflet-control {
	border: 1px solid var(--clr-schwarz);
	right: auto;
	left: 0;
	background-image: url(../images/filter.svg);
	background-size: 60%;
	background-repeat: no-repeat;
	background-position: center;
	color: transparent;
	top: 0;
}

.leaflet-bar.easy-button-container.leaflet-control.disabled {
	display: none;
}

@media (max-width: 1600px) {

	.leaflet-top.leaflet-left:has(.disabled) .leaflet-bar.my-control.leaflet-control {
		width: 30px;
		position: absolute;
		z-index: 801;
		height: 30px;
		border-radius: 0;
		border: 0px solid;
		background-color: #fff;
		place-content: center;
		text-align: center;
		margin-top: 0;
		cursor: pointer;
		right: 1rem;
		left: auto;
		top: 1rem;
		font-size: 20px;
		color: var(--clr-schwarz);
		background-image: none;
	}

	.leaflet-top.leaflet-left .leaflet-bar.my-control.leaflet-control {
		border: 1px solid var(--clr-schwarz);
		right: auto;
		left: 0;
		background-image: url(../images/filter.svg);
		background-size: 60%;
		background-repeat: no-repeat;
		background-position: center;
		color: transparent;
		top: 0;
	}

	.leaflet-bar.easy-button-container.leaflet-control {
		display: none;
	}

	.leaflet-bar.easy-button-container.leaflet-control.disabled {
		display: block;
	}
}